%define         srcname        %{name}
Name:           fvwm-crystal
Version:        3.4.1
Release:        %mkrel 3
Summary:        An eye-candy and powerful desktop environment based on FVWM2
License:        GPLv2+
Group:          Graphical desktop/Other

URL:            http://fvwm-crystal.sourceforge.net/
Source0:        http://sourceforge.net/projects/fvwm-crystal/files/%{version}/%{srcname}-%{version}.tar.gz
Source1:        fvwm-crystal.png

BuildArch:      noarch

#fix various installation paths
Patch0:         fvwm-crystal-3.4.1-fixpath.patch

#needed for various scripts
Requires:       fvwm2
Requires:       python
Requires:       xscreensaver
Requires:       xterm
Requires:       xwd
Requires:       imagemagick
Requires:       feh
Requires:       xcompmgr
Requires:       transset-df
Requires:       bc

Provides:       fvwm2-crystal = %{version}-%{release}


%description
FVWM-Crystal aims at be an easy to use, eye-candy but also powerful
desktop environment based on the F Virtual Window Manager (FVWM2). It
uses the following programs: FVWM2 as a window manager and "main
core", icons on the desktop with support for more than ten different
file managers and custom commands, various terminal emulators, as well
as music and medias players... There is built-in support for
controlling these programs, plus several other tools dedicated to
setup a wallpaper or making screen shots. Fvwm-Crystal provide some
unique features like the ability to bring in full screen virtually any
application, and to flow through the full-screened applications and
the desktop.


%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build


%install

%{makeinstall_std} prefix=%{_prefix} LOCALEDIR=%{_datadir}/locale localedir=%{_datadir}/locale

%__rm -f %{buildroot}%{_datadir}/locale/en
%__rm -f %{buildroot}%{_datadir}/locale/fy
%__rm -f %{buildroot}%{_datadir}/locale/fr
%__rm -f %{buildroot}%{_datadir}/locale/de
%__rm -f %{buildroot}%{_datadir}/locale/es
%__rm -f %{buildroot}%{_datadir}/locale/nl

install -D -m644 %{SOURCE1} %{buildroot}%{_iconsdir}/fvwm-crystal.png

%find_lang %{name} --all-name

%posttrans
if [ "$1" -eq 1 ]; then
	if [ -e %{_datadir}/xsessions/10Fvwm-Crystal.desktop ]; then
		rm -rf %{_datadir}/xsessions/10Fvwm-Crystal.desktop
	fi
	if [ -e %{_sysconfdir}/X11/dm/Sessions/10Fvwm-Crystal.desktop ]; then
		rm -rf %{_sysconfdir}/X11/dm/Sessions/10Fvwm-Crystal.desktop
	fi
fi

%files -f %{name}.lang
%doc README AUTHORS NEWS ChangeLog
%{_datadir}/xsessions/fvwm-crystal.desktop
%config(noreplace) %{_sysconfdir}/sudoers.d/fvwm-crystal
%{_bindir}/*
%{_docdir}/%{name}-%{version}
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_iconsdir}/fvwm-crystal.png




%changelog
* Fri Feb 24 2017 wally <wally> 3.4.1-3.mga6
+ Revision: 1087706
- drop obsolete wmsession.d files
- remove generated xsessions .desktop leftovers on update
- add xsessions .desktop file

* Thu Sep 15 2016 eatdirt <eatdirt> 3.4.1-2.mga6
+ Revision: 1053113
- Install desktop file for sddm

* Tue Jan 26 2016 eatdirt <eatdirt> 3.4.1-1.mga6
+ Revision: 927909
- Upgrade to version 3.4.1

* Wed Oct 15 2014 umeabot <umeabot> 3.3.2-3.mga5
+ Revision: 749330
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.2-2.mga5
+ Revision: 679386
- Mageia 5 Mass Rebuild

* Fri May 23 2014 eatdirt <eatdirt> 3.3.2-1.mga5
+ Revision: 625096
- imported package fvwm-crystal


* Fri May 23 2014 Eatdirt <eatdirt@mageia.org> 3.3.2-1mga5
- Importing fvwm-crystal package
